#delimit;
clear all;
set more off;
set mem 1G;

local data_dir = "Output";
local out_dir =  "Figures";

*******Figure 4*************************************************************************************************************;
/*
local filename "`out_dir'\mex_can_tss";
local fig_name = "`out_dir'\fig4";
insheet using "`data_dir'\mexcan8999_tss.txt";
keep year share;
rename share share_1;
save temp.dta, replace;

insheet using "`data_dir'\canmex8999_tss.txt", clear;
keep year share;
rename share share_2;
merge 1:1 year using temp.dta;
drop _merge;


local x_line_data  "xline(1993 ,lwidth(0.25) lc(black))";
local x_axis_values "1989(1)1999";
local y_axis_values "0(0.05)0.35";
local text_1 "text(0.30 1993.5 `"Canadian exports to Mexico"', place(e) size(medium))";
local text_2 "text(0.13 1993.5 `"Mexican exports to Canada"', place(e) size(medium))";
local text_3 "";
local text_4 "";

local line_3 "";
local line_4 "";
local arrow_1 ""; 
local arrow_2 "";
*/
*******Figure 7*************************************************************************************************************;
/*
local filename "`out_dir'\chn_usa_tss";
local fig_name = "`out_dir'\fig7";
insheet using "`data_dir'\chnusa9505_tss.txt";
keep year share;
rename share share_1;
save temp.dta, replace;

insheet using "`data_dir'\usachn9505_tss.txt", clear;
keep year share;
rename share share_2;
merge 1:1 year using temp.dta;
drop _merge;

local x_line_data  "xline(2000 ,lwidth(0.25) lc(black))";
local x_axis_values "1995(1)2005";
local y_axis_values "0(0.05)0.35";
local text_1 "text(0.16 1996 `"U.S. exports to China"', place(e) size(medium))";
local text_2 "text(0.13 2001.5 `"China exports to U.S."', place(e) size(medium))";
local text_3 "";
local text_4 "";

local line_3 "";
local line_4 "";
local arrow_1 ""; 
local arrow_2 "";
*/
**********Figure 8*************************************************************************************;

local filename "`out_dir'\long_ts_figure";
local fig_name = "`out_dir'\fig8";
insheet using "`data_dir'\mexcan8906_tss.txt";
keep year share;
rename share share_1;
save temp.dta, replace;

insheet using "`data_dir'\canmex8906_tss.txt", clear;
keep year share;
rename share share_2;
merge 1:1 year using temp.dta;
drop _merge;
save temp.dta, replace;


insheet using "`data_dir'\usachn8906_tss.txt", clear;
keep year share;
rename share share_3;
merge 1:1 year using temp.dta;
drop _merge;
save temp.dta, replace;

insheet using "`data_dir'\chnusa8906_tss.txt", clear;
keep year share;
rename share share_4;
merge 1:1 year using temp.dta;
drop _merge;
save temp.dta, replace;


local x_line_data "";
local line_3 "(scatter share_3 year, c(l) lc(black) lp(longdash) m(i) lw(medthick))";
local line_4 "(scatter share_4 year, c(l) lc(black) lp(longdash_dot) m(i) lw(medthick))";

local x_axis_values "1989(2)2006";
local y_axis_values "0(0.1)0.5";
local text_1 "text(0.22 2002 `"China exports to U.S."', place(e) size(medium))";
local text_2 "text(0.09 1993 `"Mexico exports to Canada"', place(e) size(medium))";
local text_3 "text(0.44 2001.5 `"Canada exports to Mexico"', place(w) size(medium))";
local text_4 "text(0.35 1999 `"U.S. exports to China"', place(w) size(medium))";

gen x1 = .; replace x1 = 1999 in 1;
gen y1 = .; replace y1 = 0.35 in 1;
gen x2 = .; replace x2 = 2002.5 in 1;
gen y2 = .; replace y2 = 0.35 in 1;
local arrow_1 "(pcarrow y1 x1 y2 x2, mc(black) lc(black))";


gen x3 = .; replace x3 = 1997 in 1;
gen y3 = .; replace y3 = 0.10 in 1;
gen x4 = .; replace x4 = 2000 in 1;
gen y4 = .; replace y4 = 0.24 in 1;
local arrow_2 "(pcarrow y3 x3 y4 x4, mc(black) lc(black))";

******Figure 11****************************************************************************************************;
/*
local filename "`out_dir'\usa_ukk_tss";
local fig_name = "`out_dir'\fig11";
insheet using "`data_dir'\usaukk8999_tss.txt";
keep year share;
rename share share_1;
save temp.dta, replace;

insheet using "`data_dir'\ukkusa8999_tss.txt", clear;
keep year share;
rename share share_2;
merge 1:1 year using temp.dta;
drop _merge;


local x_line_data  "";
local x_axis_values "1989(1)1999";
local y_axis_values "0(0.05)0.35";
local text_1 "text(0.18 1995 `"U.S. exports to U.K."', place(e) size(medium))";
local text_2 "text(0.09 1995 `"U.K. exports to U.S."', place(e) size(medium))";
local text_3 "";
local text_4 "";

local line_3 "";
local line_4 "";
local arrow_1 ""; 
local arrow_2 "";
*/


********************************************************************************************************************;

local line_1 "(scatter share_1 year, c(l) lc(black) m(i) lw(medthick) `x_line_data')";
local line_2 "(scatter share_2 year, c(l) lc(black) lp(dash) m(i) lw(medthick))";


graph set window fontface "Arial";

graph twoway    `line_1' `line_2' `line_3' `line_4' `arrow_1' `arrow_2',
				xsize(6)
				ysize(3.5)
				leg(off)
				ylab(`y_axis_values',nogrid tp(crossing) format(%3.2f) labsize(medsmall) angle(horizontal) labgap(vsmall))
				xlab(`x_axis_values',nogrid tp(crossing) format(%4.0f) labsize(medsmall) labgap(vsmall))
				xtitle("", margin(top)) 
				ytitle("fraction of export value", margin(right) size(medium) )
				`text_1' `text_2' `text_3' `text_4'
				plotregion(lstyle(none) margin(sides) color(white))
				graphregion(color(white) 
);

graph export `fig_name'.eps, replace;
erase temp.dta;


